# Move input event

This event will be called upon the player moving manually. Handler name is `onMoveInput`.

### `setForward(forward): Undefined`

| Argument  | Type     | Description                          |
| --------- | -------- | ------------------------------------ |
| `forward` | `Number` | Amount of forward movement to apply. |

Sets the amount of forward movement. By default, if you're not sneaking, the value is either 1 or 0.

### `setStrafe(strafe): Undefined`

| Argument | Type     | Description                         |
| -------- | -------- | ----------------------------------- |
| `strafe` | `Number` | Amount of strafe movement to apply. |

Sets the amount of strafe movement. By default, if you're not sneaking, the value is either 1 or 0.

### `setJump(jump): Undefined`

| Argument | Type      | Description             |
| -------- | --------- | ----------------------- |
| `jump`   | `Boolean` | Whether to jump or not. |

Sets the jump state. By default, if you're not holding the jump key, the value will be false.

### `setSneak(sneak): Undefined`

| Argument | Type      | Description              |
| -------- | --------- | ------------------------ |
| `sneak`  | `Boolean` | Whether to sneak or not. |

Sets the sneaking state. By default, if you're not holding the sneaking key, the value will be false.

### `setSneakSlowDownMultiplier(multiplier): Undefined`

| Argument     | Type     | Description                                   |
| ------------ | -------- | --------------------------------------------- |
| `multiplier` | `Number` | Amount of sneak slowdown multiplier to apply. |

Sets the amount of sneak slowdown multiplier. By default, if you're not sneaking, the value is 0.3

### `getForward(): Number`

Returns the forward movement.

### `getStrafe(): Number`

Returns the strafe movement.

### `getSneakSlowDownMultiplier(): Number`

Returns the sneak slowdown multiplier.

### `isJump(): Boolean`

Returns whether you will jump or not.

### `isSneak(): Boolean`

Returns whether you will be sneaking or not.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/move-input-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
